r9742 - in /trunk/libfont-ttf-perl: debian/changelog debian/control debian/repack.sh debian/rules debian/watch t/OFL.txt t/testfont.ttf

tincho-guest at users.alioth.debian.org tincho-guest at users.alioth.debian.org
Sat Nov 24 19:24:34 UTC 2007


Author: tincho-guest
Date: Sat Nov 24 19:24:34 2007
New Revision: 9742

URL: http://svn.debian.org/wsvn/?sc=1&rev=9742
Log:
* New upstream release: this version only adds a test case, for which
  upstream included a non-free font. Therefore the original tarball has been
  repackaged without it.
* Added ttf-dejavu-core to build-deps to replace removed font.
* Added repackaging script, with hook in debian/watch.

Added:
    trunk/libfont-ttf-perl/debian/repack.sh   (with props)
Removed:
    trunk/libfont-ttf-perl/t/OFL.txt
    trunk/libfont-ttf-perl/t/testfont.ttf
Modified:
    trunk/libfont-ttf-perl/debian/changelog
    trunk/libfont-ttf-perl/debian/control
    trunk/libfont-ttf-perl/debian/rules
    trunk/libfont-ttf-perl/debian/watch

Modified: trunk/libfont-ttf-perl/debian/changelog
URL: http://svn.debian.org/wsvn/trunk/libfont-ttf-perl/debian/changelog?rev=9742&op=diff
==============================================================================
--- trunk/libfont-ttf-perl/debian/changelog (original)
+++ trunk/libfont-ttf-perl/debian/changelog Sat Nov 24 19:24:34 2007
@@ -1,11 +1,12 @@
-libfont-ttf-perl (0.43-1) UNRELEASED; urgency=low
+libfont-ttf-perl (0.43+dfsg-1) UNRELEASED; urgency=low
 
-  THIS NEW VERSION ONLY ADDS A TEST CASE, FOR WHICH THEY'VE INCLUDED A
-  NON-FREE FONT.
+  * New upstream release: this version only adds a test case, for which
+    upstream included a non-free font. Therefore the original tarball has been
+    repackaged without it.
+  * Added ttf-dejavu-core to build-deps to replace removed font.
+  * Added repackaging script, with hook in debian/watch.
 
-  * New upstream release.
-
- -- Martín Ferrari <martin.ferrari at gmail.com>  Sat, 24 Nov 2007 15:19:47 -0300
+ -- Martín Ferrari <martin.ferrari at gmail.com>  Sat, 24 Nov 2007 16:12:05 -0300
 
 libfont-ttf-perl (0.42-1) unstable; urgency=low
 

Modified: trunk/libfont-ttf-perl/debian/control
URL: http://svn.debian.org/wsvn/trunk/libfont-ttf-perl/debian/control?rev=9742&op=diff
==============================================================================
--- trunk/libfont-ttf-perl/debian/control (original)
+++ trunk/libfont-ttf-perl/debian/control Sat Nov 24 19:24:34 2007
@@ -6,7 +6,7 @@
  gregor herrmann <gregor+debian at comodo.priv.at>,
  Krzysztof Krzyzaniak (eloy) <eloy at debian.org>,
  Martín Ferrari <martin.ferrari at gmail.com>
-Build-Depends: debhelper (>= 5.0.0), quilt
+Build-Depends: debhelper (>= 5.0.0), quilt, ttf-dejavu-core
 Build-Depends-Indep: perl (>= 5.8.0-19)
 Standards-Version: 3.7.2.1
 Homepage: http://search.cpan.org/dist/Font-TTF/

Added: trunk/libfont-ttf-perl/debian/repack.sh
URL: http://svn.debian.org/wsvn/trunk/libfont-ttf-perl/debian/repack.sh?rev=9742&op=file
==============================================================================
--- trunk/libfont-ttf-perl/debian/repack.sh (added)
+++ trunk/libfont-ttf-perl/debian/repack.sh Sat Nov 24 19:24:34 2007
@@ -1,0 +1,39 @@
+#!/bin/sh
+# Repackage upstream source to exclude non-distributable files
+# should be called as "repack sh --upstream-source <ver> <downloaded file>
+# (for example, via uscan)
+
+set -e
+set -u
+
+FILE=$3
+PKG=`dpkg-parsechangelog|grep ^Source:|sed 's/^Source: //'`
+VER=`dpkg-parsechangelog|grep ^Version:|sed 's/^Version: //; s/+dfsg-[^-]\+$//'`
+
+printf "\nRepackaging $FILE\n"
+
+DIR=`mktemp -d ./tmpRepackXXXXXX`
+trap "rm -rf $DIR" QUIT INT EXIT
+
+tar xzf $FILE -C $DIR
+
+REPACK=`basename $FILE`
+
+UP_DIR=`ls -1 $DIR`
+
+(
+    set -e
+    set -u
+
+    cd $DIR
+
+    rm -v $UP_DIR/t/OFL.txt $UP_DIR/t/testfont.ttf
+
+    REPACK_DIR="$PKG-$VER.orig"
+    mv $UP_DIR $REPACK_DIR
+    tar -c $REPACK_DIR | gzip -9 > $REPACK
+)
+
+mv $DIR/$REPACK $FILE
+
+echo "*** $FILE repackaged"

Propchange: trunk/libfont-ttf-perl/debian/repack.sh
------------------------------------------------------------------------------
    svn:executable = *

Modified: trunk/libfont-ttf-perl/debian/rules
URL: http://svn.debian.org/wsvn/trunk/libfont-ttf-perl/debian/rules?rev=9742&op=diff
==============================================================================
--- trunk/libfont-ttf-perl/debian/rules (original)
+++ trunk/libfont-ttf-perl/debian/rules Sat Nov 24 19:24:34 2007
@@ -16,8 +16,13 @@
 build: patch build-stamp
 build-stamp:
 	dh_testdir
+	# Replace non-free font
+	cp /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf t/testfont.ttf
+	# To avoid complaints about the missing non-free license file
+	touch t/OFL.txt
 	$(PERL) Makefile.PL $(config)
 	$(MAKE)
+	$(MAKE) test
 	touch build-stamp
 
 clean: unpatch
@@ -25,6 +30,7 @@
 	dh_testroot
 	dh_clean build-stamp install-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
+	rm -f t/testfont.ttf t/OFL.txt
 
 install: install-stamp
 install-stamp: build-stamp

Modified: trunk/libfont-ttf-perl/debian/watch
URL: http://svn.debian.org/wsvn/trunk/libfont-ttf-perl/debian/watch?rev=9742&op=diff
==============================================================================
--- trunk/libfont-ttf-perl/debian/watch (original)
+++ trunk/libfont-ttf-perl/debian/watch Sat Nov 24 19:24:34 2007
@@ -1,2 +1,3 @@
 version=3
-http://www.cpan.org/modules/by-module/Font/Font-TTF-([\d\.]+)\.tar\.gz
+opts="uversionmangle=s/(?=$)/+dfsg/" \
+http://www.cpan.org/modules/by-module/Font/Font-TTF-([\d\.]+)\.tar\.gz debian debian/repack.sh




More information about the Pkg-perl-cvs-commits mailing list